OSDN Git Service

addition of api command
authorniwa-hideyuki <niwa.hideyuki@jp.fujitsu.com>
Fri, 7 Nov 2014 01:18:17 +0000 (10:18 +0900)
committerniwa-hideyuki <niwa.hideyuki@jp.fujitsu.com>
Fri, 7 Nov 2014 01:18:17 +0000 (10:18 +0900)
lxcf/cmd/api [new file with mode: 0755]

diff --git a/lxcf/cmd/api b/lxcf/cmd/api
new file mode 100755 (executable)
index 0000000..d37d947
--- /dev/null
@@ -0,0 +1,43 @@
+#!/bin/bash
+# copyright (C) 2014 FUJITSU LIMITED All Rights Reserved
+
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; version 2
+# of the License.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
+# 02110-1301, USA.
+
+# check root
+if [ ${EUID:-${UID}} != 0 ]; then
+    echo "error: Because you are not root, you cannot execute this command. "
+    exit 1
+fi
+
+usage() {
+       echo "usage : lxcf api ( enable | disable )"
+       exit 1
+}
+
+if [ $# -ne 1 ]; then
+       usage
+fi
+
+if [ x$1 == x"enable" ]; then
+       /usr/lib64/lxcf/lxcf-api-enable
+elif [ x$1 == x"disable" ]; then
+       /usr/lib64/lxcf/lxcf-api-disable
+else 
+       usage
+fi
+
+exit $?
+